--- title: "Get person tag list" slug: "maiu-list-person-tags" updated: 2026-09-17T10:12:40Z published: 2026-09-17T10:12:40Z canonical: "api.ncloud-docs.com/maiu-list-person-tags" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get person tag list Available in VPC Get the list of person tags. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/workspaces/{workspace_name}/person-tags | ### Request headers For information about the headers common to all Media Intelligence APIs, see [Media Intelligence request headers](/docs/en/maiu-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `workspace_name` | String | Required | Workspace name | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | Integer | Optional | Person tag ID | | `name` | String | Optional | Person tag name - 1-30 characters | | `pageNum` | Integer | Required | Page number - 1 or more | | `pageSize` | Integer | Optional | Number of items per page - 1-50 (default: 10) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/person-tags?pageNum=1&pageSize=10' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | [API processing result code](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `message` | String | - | [API processing result message](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `result` | Object | - | API return information | | `result.content` | Array | - | Person tag list: [content](/docs/en/maiu-list-person-tags#content) | | `result.totalCount` | Integer | - | Total person tag count | | `result.totalPage` | Integer | - | Total number of pages | | `result.pageNo` | Integer | - | Page number | | `result.pageSize` | Integer | - | Number of items per page | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | Integer | - | Person tag ID | | `name` | String | - | Person tag name | | `updatedUserName` | String | - | User name who last edited the tag | | `updatedTime` | String | - | Tag modification date and time - ISO 8601 format | ### Response status codes For information about the HTTP status codes common to all Media Intelligence APIs, see [Media Intelligence response status codes](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0", "message": "success", "result": { "content": [ { "id": 1001, "name": "Anchor", "updatedUserName": "*dong Hong", "updatedTime": ""2025-08-15T17:13:48"" }, { "id": 1002, "name": "Singer", "updatedUserName": "*su Kim", "updatedTime": "2025-08-16T03:22:11.198Z" } ], "totalCount": 2, "totalPage": 1, "pageNo": 1, "pageSize": 10 } ```